OGRE-Next: Components

| OGRE-Next 3.0.0 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Topics | Files | Classes | Typedefs | Functions | Variables
Components

## Topics
| Paging
| Some details on paging component
| Property

## Files
file | OgrePageFileFormats.h
| The paging file format is a composite one - a single file / stream can contain data which is not necessarily all read by a single class.

## Classes
class | Ogre::Grid3DPageStrategy
| Page strategy which loads new pages based on a regular 3D grid. More...
class | Ogre::Grid3DPageStrategyData
| Specialisation of PageStrategyData for Grid3DPageStrategy. More...
class | Ogre::PageStrategy
| Defines the interface to a strategy class which is responsible for deciding when Page instances are requested for addition and removal from the paging system. More...
class | Ogre::PageStrategyData
| Abstract marker class representing the data held against the PagedWorldSection which is specifically used by the PageStrategy. More...
class | Ogre::SimplePageContentCollection
| Specialisation of PageContentCollection which just provides a simple list of PageContent instances. More...
class | Ogre::SimplePageContentCollectionFactory
| Factory class for SimplePageContentCollection. More...

## Typedefs
typedef vector< PageContent * >::type | Ogre::SimplePageContentCollection::ContentList

## Functions
| Ogre::Grid3DPageStrategy::Grid3DPageStrategy (PageManager *manager)
| Ogre::Grid3DPageStrategyData::Grid3DPageStrategyData ()
| Ogre::PageStrategy::PageStrategy (const String &name, PageManager *manager)
| Ogre::PageStrategyData::PageStrategyData ()
| Ogre::SimplePageContentCollection::SimplePageContentCollection (PageContentCollectionFactory *creator)
| Ogre::SimplePageContentCollectionFactory::SimplePageContentCollectionFactory ()
| Ogre::Grid3DPageStrategy::~Grid3DPageStrategy ()
| Ogre::Grid3DPageStrategyData::~Grid3DPageStrategyData ()
virtual | Ogre::PageStrategy::~PageStrategy ()
virtual | Ogre::PageStrategyData::~PageStrategyData ()
| Ogre::SimplePageContentCollection::~SimplePageContentCollection ()
| Ogre::SimplePageContentCollectionFactory::~SimplePageContentCollectionFactory ()
void | Ogre::Grid3DPageStrategyData::calculateCell (PageID inPageID, int32 *x, int32 *y, int32 *z)
PageID | Ogre::Grid3DPageStrategyData::calculatePageID (int32 x, int32 y, int32 z)
virtual PageContent * | Ogre::SimplePageContentCollection::createContent (const String &typeName)
| Create a new PageContent within this collection.
PageStrategyData * | Ogre::Grid3DPageStrategy::createData ()
| Create a PageStrategyData instance containing the data specific to this PageStrategy.
virtual PageStrategyData * | Ogre::PageStrategy::createData ()=0
| Create a PageStrategyData instance containing the data specific to this PageStrategy.
PageContentCollection * | Ogre::SimplePageContentCollectionFactory::createInstance ()
virtual void | Ogre::SimplePageContentCollection::destroyContent (PageContent *coll)
| Destroy a PageContent within this page.
void | Ogre::Grid3DPageStrategy::destroyData (PageStrategyData *d)
| Destroy a PageStrategyData instance containing the data specific to this PageStrategy.
virtual void | Ogre::PageStrategy::destroyData (PageStrategyData *d)=0
| Destroy a PageStrategyData instance containing the data specific to this PageStrategy.
void | Ogre::SimplePageContentCollectionFactory::destroyInstance (PageContentCollection *c)
void | Ogre::Grid3DPageStrategyData::determineGridLocation (const Vector3 &gridpos, int32 *x, int32 *y, int32 *z)
| Convert a grid position into a row and column index.
virtual void | Ogre::PageStrategy::frameEnd (Real timeElapsed, PagedWorldSection *section)
| Called when the frame ends.
virtual void | Ogre::SimplePageContentCollection::frameEnd (Real timeElapsed)
| Called when the frame ends.
virtual void | Ogre::PageStrategy::frameStart (Real timeSinceLastFrame, PagedWorldSection *section)
| Called when the frame starts.
virtual void | Ogre::SimplePageContentCollection::frameStart (Real timeSinceLastFrame)
| Called when the frame starts.
virtual void | Ogre::Grid3DPageStrategyData::getBottomLeftGridSpace (int32 x, int32 y, int z, Vector3 &bl)
| Get the (grid space) bottom-left of a cell.
virtual int32 | Ogre::Grid3DPageStrategyData::getCellRangeMaxX () const
| get the index range of all cells (values outside this will be ignored)
virtual int32 | Ogre::Grid3DPageStrategyData::getCellRangeMaxY () const
| get the index range of all cells (values outside this will be ignored)
virtual int32 | Ogre::Grid3DPageStrategyData::getCellRangeMaxZ () const
| get the index range of all cells (values outside this will be ignored)
virtual int32 | Ogre::Grid3DPageStrategyData::getCellRangeMinX () const
| get the index range of all cells (values outside this will be ignored)
virtual int32 | Ogre::Grid3DPageStrategyData::getCellRangeMinY () const
| get the index range of all cells (values outside this will be ignored)
virtual int32 | Ogre::Grid3DPageStrategyData::getCellRangeMinZ () const
| get the index range of all cells (values outside this will be ignored)
virtual Vector3 | Ogre::Grid3DPageStrategyData::getCellSize () const
| Get the size of the cells in the grid.
virtual const ContentList & | Ogre::SimplePageContentCollection::getContentList () const
| Get const access to the list of content.
virtual void | Ogre::Grid3DPageStrategyData::getCornersGridSpace (int32 x, int32 y, int32 z, Vector3 *pEightPoints)
| Get the (grid space) corners of a cell.
virtual Real | Ogre::Grid3DPageStrategyData::getHoldRadius () const
| Get the Holding radius.
virtual Real | Ogre::Grid3DPageStrategyData::getLoadRadius () const
| Get the loading radius.
PageManager * | Ogre::PageStrategy::getManager () const
virtual void | Ogre::Grid3DPageStrategyData::getMidPointGridSpace (int32 x, int32 y, int32 z, Vector3 &mid)
const String & | Ogre::PageStrategy::getName () const
const String & | Ogre::SimplePageContentCollectionFactory::getName () const
virtual const Vector3 & | Ogre::Grid3DPageStrategyData::getOrigin (const Vector3 &worldOrigin)
| Get the origin of the grid in world space.
PageID | Ogre::Grid3DPageStrategy::getPageID (const Vector3 &worldPos, PagedWorldSection *section)
| Get the page ID for a given world position.
virtual PageID | Ogre::PageStrategy::getPageID (const Vector3 &worldPos, PagedWorldSection *section)=0
| Get the page ID for a given world position.
bool | Ogre::Grid3DPageStrategyData::load (StreamSerialiser &stream)
| Load this data from a stream (returns true if successful)
virtual bool | Ogre::PageStrategyData::load (StreamSerialiser &stream)=0
| Load this data from a stream (returns true if successful)
void | Ogre::SimplePageContentCollection::load ()
| Load - will be called in main thread.
void | Ogre::Grid3DPageStrategy::notifyCamera (Camera *cam, PagedWorldSection *section)
| Called when a camera is used for any kind of rendering.
virtual void | Ogre::PageStrategy::notifyCamera (Camera *cam, PagedWorldSection *section)
| Called when a camera is used for any kind of rendering.
virtual void | Ogre::SimplePageContentCollection::notifyCamera (Camera *cam)
| Notify a section of the current camera.
bool | Ogre::SimplePageContentCollection::prepare (StreamSerialiser &stream)
| Prepare data - may be called in the background.
void | Ogre::Grid3DPageStrategyData::save (StreamSerialiser &stream)
| Save this data to a stream.
virtual void | Ogre::PageStrategyData::save (StreamSerialiser &stream)=0
| Save this data to a stream.
virtual void | Ogre::SimplePageContentCollection::save (StreamSerialiser &stream)
| Save the collection to a stream.
virtual void | Ogre::Grid3DPageStrategyData::setCellRange (int32 minX, int32 minY, int32 minZ, int32 maxX, int32 maxY, int32 maxZ)
| Set the index range of all cells (values outside this will be ignored)
virtual void | Ogre::Grid3DPageStrategyData::setCellRangeMaxX (int32 maxX)
| Set the index range of all cells (values outside this will be ignored)
virtual void | Ogre::Grid3DPageStrategyData::setCellRangeMaxY (int32 maxY)
| Set the index range of all cells (values outside this will be ignored)
virtual void | Ogre::Grid3DPageStrategyData::setCellRangeMaxZ (int32 maxZ)
| get the index range of all cells (values outside this will be ignored)
virtual void | Ogre::Grid3DPageStrategyData::setCellRangeMinX (int32 minX)
| Set the index range of all cells (values outside this will be ignored)
virtual void | Ogre::Grid3DPageStrategyData::setCellRangeMinY (int32 minY)
| Set the index range of all cells (values outside this will be ignored)
virtual void | Ogre::Grid3DPageStrategyData::setCellRangeMinZ (int32 minZ)
| Set the index range of all cells (values outside this will be ignored)
virtual void | Ogre::Grid3DPageStrategyData::setCellSize (const Vector3 &sz)
| Set the size of the cells in the grid.
virtual void | Ogre::Grid3DPageStrategyData::setHoldRadius (Real sz)
| Set the Holding radius.
virtual void | Ogre::Grid3DPageStrategyData::setLoadRadius (Real sz)
| Set the loading radius.
virtual void | Ogre::Grid3DPageStrategyData::setOrigin (const Vector3 &worldOrigin)
| Set the origin of the grid in world space.
void | Ogre::SimplePageContentCollection::unload ()
| Unload - will be called in main thread.
void | Ogre::SimplePageContentCollection::unprepare ()
| Unprepare data - may be called in the background.
void | Ogre::Grid3DPageStrategy::updateDebugDisplay (Page *p, SceneNode *sn)
| Update the contents of the passed in SceneNode to reflect the debug display of a given page.
virtual void | Ogre::PageStrategy::updateDebugDisplay (Page *p, SceneNode *sn)=0
| Update the contents of the passed in SceneNode to reflect the debug display of a given page.

## Variables
static const uint32 | Ogre::Grid3DPageStrategyData::CHUNK_ID
static const uint16 | Ogre::Grid3DPageStrategyData::CHUNK_VERSION
static String | Ogre::SimplePageContentCollectionFactory::FACTORY_NAME
static const uint32 | Ogre::SimplePageContentCollection::SUBCLASS_CHUNK_ID
static const uint16 | Ogre::SimplePageContentCollection::SUBCLASS_CHUNK_VERSION

## Detailed Description

## Typedef Documentation

## ◆ ContentList

typedef vector<PageContent*>::type Ogre::SimplePageContentCollection::ContentList

## Function Documentation

## ◆ Grid3DPageStrategy()

Ogre::Grid3DPageStrategy::Grid3DPageStrategy | ( | PageManager * | manager | ) |

## ◆ Grid3DPageStrategyData()

Ogre::Grid3DPageStrategyData::Grid3DPageStrategyData | ( |  | ) |

## ◆ PageStrategy()

Ogre::PageStrategy::PageStrategy | ( | const String & | name,
|  | PageManager * | manager )
| inline

## ◆ PageStrategyData()

Ogre::PageStrategyData::PageStrategyData | ( |  | ) |
| inline

## ◆ SimplePageContentCollection()

Ogre::SimplePageContentCollection::SimplePageContentCollection | ( | PageContentCollectionFactory * | creator | ) |

## ◆ SimplePageContentCollectionFactory()

Ogre::SimplePageContentCollectionFactory::SimplePageContentCollectionFactory | ( |  | ) |
| inline

## ◆ ~Grid3DPageStrategy()

Ogre::Grid3DPageStrategy::~Grid3DPageStrategy | ( |  | ) |

## ◆ ~Grid3DPageStrategyData()

Ogre::Grid3DPageStrategyData::~Grid3DPageStrategyData | ( |  | ) |

## ◆ ~PageStrategy()

virtual Ogre::PageStrategy::~PageStrategy | ( |  | ) |
| inlinevirtual

## ◆ ~PageStrategyData()

virtual Ogre::PageStrategyData::~PageStrategyData | ( |  | ) |
| inlinevirtual

## ◆ ~SimplePageContentCollection()

Ogre::SimplePageContentCollection::~SimplePageContentCollection | ( |  | ) |

## ◆ ~SimplePageContentCollectionFactory()

Ogre::SimplePageContentCollectionFactory::~SimplePageContentCollectionFactory | ( |  | ) |
| inline

## ◆ calculateCell()

void Ogre::Grid3DPageStrategyData::calculateCell | ( | PageID | inPageID,
|  | int32 * | x,
|  | int32 * | y,
|  | int32 * | z )

## ◆ calculatePageID()

PageID Ogre::Grid3DPageStrategyData::calculatePageID | ( | int32 | x,
|  | int32 | y,
|  | int32 | z )

## ◆ createContent()

virtual PageContent * Ogre::SimplePageContentCollection::createContent | ( | const String & | typeName | ) |
| virtual

Create a new PageContent within this collection.

Parameters

  typeName | The name of the type of content (see PageManager::getContentFactories)

## ◆ createData() [1/2]

PageStrategyData * Ogre::Grid3DPageStrategy::createData | ( |  | ) |
| virtual

Create a PageStrategyData instance containing the data specific to this PageStrategy.

  This data will be held by a given PagedWorldSection and the structure of the data will be specific to the PageStrategy subclass.

Implements Ogre::PageStrategy.

## ◆ createData() [2/2]

virtual PageStrategyData * Ogre::PageStrategy::createData | ( |  | ) |
| pure virtual

Create a PageStrategyData instance containing the data specific to this PageStrategy.

  This data will be held by a given PagedWorldSection and the structure of the data will be specific to the PageStrategy subclass.

Implemented in Ogre::Grid2DPageStrategy, and Ogre::Grid3DPageStrategy.

## ◆ createInstance()

PageContentCollection * Ogre::SimplePageContentCollectionFactory::createInstance | ( |  | ) |
| inlinevirtual

Implements Ogre::PageContentCollectionFactory.

References OGRE_NEW.

## ◆ destroyContent()

virtual void Ogre::SimplePageContentCollection::destroyContent | ( | PageContent * | coll | ) |
| virtual

Destroy a PageContent within this page.

This is equivalent to calling detachContent and PageManager::destroyContent.

## ◆ destroyData() [1/2]

void Ogre::Grid3DPageStrategy::destroyData | ( | PageStrategyData * | d | ) |
| virtual

Destroy a PageStrategyData instance containing the data specific to this PageStrategy.

  This data will be held by a given PagedWorldSection and the structure of the data will be specific to the PageStrategy subclass.

Implements Ogre::PageStrategy.

## ◆ destroyData() [2/2]

virtual void Ogre::PageStrategy::destroyData | ( | PageStrategyData * | d | ) |
| pure virtual

Destroy a PageStrategyData instance containing the data specific to this PageStrategy.

  This data will be held by a given PagedWorldSection and the structure of the data will be specific to the PageStrategy subclass.

Implemented in Ogre::Grid2DPageStrategy, and Ogre::Grid3DPageStrategy.

## ◆ destroyInstance()

void Ogre::SimplePageContentCollectionFactory::destroyInstance | ( | PageContentCollection * | c | ) |
| inlinevirtual

Implements Ogre::PageContentCollectionFactory.

References OGRE_DELETE.

## ◆ determineGridLocation()

void Ogre::Grid3DPageStrategyData::determineGridLocation | ( | const Vector3 & | gridpos,
|  | int32 * | x,
|  | int32 * | y,
|  | int32 * | z )

Convert a grid position into a row and column index.

## ◆ frameEnd() [1/2]

virtual void Ogre::PageStrategy::frameEnd | ( | Real | timeElapsed,
|  | PagedWorldSection * | section )
| inlinevirtual

Called when the frame ends.

## ◆ frameEnd() [2/2]

virtual void Ogre::SimplePageContentCollection::frameEnd | ( | Real | timeElapsed | ) |
| virtual

Called when the frame ends.

Implements Ogre::PageContentCollection.

## ◆ frameStart() [1/2]

virtual void Ogre::PageStrategy::frameStart | ( | Real | timeSinceLastFrame,
|  | PagedWorldSection * | section )
| inlinevirtual

Called when the frame starts.

## ◆ frameStart() [2/2]

virtual void Ogre::SimplePageContentCollection::frameStart | ( | Real | timeSinceLastFrame | ) |
| virtual

Called when the frame starts.

Implements Ogre::PageContentCollection.

## ◆ getBottomLeftGridSpace()

virtual void Ogre::Grid3DPageStrategyData::getBottomLeftGridSpace | ( | int32 | x,
|  | int32 | y,
|  | int | z,
|  | Vector3 & | bl )
| virtual

Get the (grid space) bottom-left of a cell.

## ◆ getCellRangeMaxX()

virtual int32 Ogre::Grid3DPageStrategyData::getCellRangeMaxX | ( |  | ) | const
| inlinevirtual

get the index range of all cells (values outside this will be ignored)

## ◆ getCellRangeMaxY()

virtual int32 Ogre::Grid3DPageStrategyData::getCellRangeMaxY | ( |  | ) | const
| inlinevirtual

get the index range of all cells (values outside this will be ignored)

## ◆ getCellRangeMaxZ()

virtual int32 Ogre::Grid3DPageStrategyData::getCellRangeMaxZ | ( |  | ) | const
| inlinevirtual

get the index range of all cells (values outside this will be ignored)

## ◆ getCellRangeMinX()

virtual int32 Ogre::Grid3DPageStrategyData::getCellRangeMinX | ( |  | ) | const
| inlinevirtual

get the index range of all cells (values outside this will be ignored)

## ◆ getCellRangeMinY()

virtual int32 Ogre::Grid3DPageStrategyData::getCellRangeMinY | ( |  | ) | const
| inlinevirtual

get the index range of all cells (values outside this will be ignored)

## ◆ getCellRangeMinZ()

virtual int32 Ogre::Grid3DPageStrategyData::getCellRangeMinZ | ( |  | ) | const
| inlinevirtual

get the index range of all cells (values outside this will be ignored)

## ◆ getCellSize()

virtual Vector3 Ogre::Grid3DPageStrategyData::getCellSize | ( |  | ) | const
| inlinevirtual

Get the size of the cells in the grid.

## ◆ getContentList()

virtual const ContentList & Ogre::SimplePageContentCollection::getContentList | ( |  | ) | const
| inlinevirtual

Get const access to the list of content.

## ◆ getCornersGridSpace()

virtual void Ogre::Grid3DPageStrategyData::getCornersGridSpace | ( | int32 | x,
|  | int32 | y,
|  | int32 | z,
|  | Vector3 * | pEightPoints )
| virtual

Get the (grid space) corners of a cell.

Remarks
  Populates pEightPoints in anticlockwise order from the bottom left point.

## ◆ getHoldRadius()

virtual Real Ogre::Grid3DPageStrategyData::getHoldRadius | ( |  | ) | const
| inlinevirtual

Get the Holding radius.

## ◆ getLoadRadius()

virtual Real Ogre::Grid3DPageStrategyData::getLoadRadius | ( |  | ) | const
| inlinevirtual

Get the loading radius.

## ◆ getManager()

PageManager * Ogre::PageStrategy::getManager | ( |  | ) | const
| inline

## ◆ getMidPointGridSpace()

virtual void Ogre::Grid3DPageStrategyData::getMidPointGridSpace | ( | int32 | x,
|  | int32 | y,
|  | int32 | z,
|  | Vector3 & | mid )
| virtual

## ◆ getName() [1/2]

const String & Ogre::PageStrategy::getName | ( |  | ) | const
| inline

## ◆ getName() [2/2]

const String & Ogre::SimplePageContentCollectionFactory::getName | ( |  | ) | const
| inlinevirtual

Implements Ogre::PageContentCollectionFactory.

References FACTORY_NAME.

## ◆ getOrigin()

virtual const Vector3 & Ogre::Grid3DPageStrategyData::getOrigin | ( | const Vector3 & | worldOrigin | ) |
| inlinevirtual

Get the origin of the grid in world space.

## ◆ getPageID() [1/2]

PageID Ogre::Grid3DPageStrategy::getPageID | ( | const Vector3 & | worldPos,
|  | PagedWorldSection * | section )
| virtual

Get the page ID for a given world position.

Returns
  The page ID

Implements Ogre::PageStrategy.

## ◆ getPageID() [2/2]

virtual PageID Ogre::PageStrategy::getPageID | ( | const Vector3 & | worldPos,
|  | PagedWorldSection * | section )
| pure virtual

Get the page ID for a given world position.

Returns
  The page ID

Implemented in Ogre::Grid2DPageStrategy, and Ogre::Grid3DPageStrategy.

## ◆ load() [1/3]

bool Ogre::Grid3DPageStrategyData::load | ( | StreamSerialiser & | stream | ) |
| virtual

Load this data from a stream (returns true if successful)

Implements Ogre::PageStrategyData.

## ◆ load() [2/3]

virtual bool Ogre::PageStrategyData::load | ( | StreamSerialiser & | stream | ) |
| pure virtual

Load this data from a stream (returns true if successful)

Implemented in Ogre::Grid2DPageStrategyData, and Ogre::Grid3DPageStrategyData.

## ◆ load() [3/3]

void Ogre::SimplePageContentCollection::load | ( |  | ) |
| virtual

Load - will be called in main thread.

Implements Ogre::PageContentCollection.

## ◆ notifyCamera() [1/3]

void Ogre::Grid3DPageStrategy::notifyCamera | ( | Camera * | cam,
|  | PagedWorldSection * | section )
| virtual

Called when a camera is used for any kind of rendering.

Remarks
  This is probably the primary way in which the strategy will request new pages.

Parameters

  cam | Camera which is being used for rendering. Class should not rely on this pointer remaining valid permanently because no notification will be given when the camera is destroyed.

Reimplemented from Ogre::PageStrategy.

## ◆ notifyCamera() [2/3]

virtual void Ogre::PageStrategy::notifyCamera | ( | Camera * | cam,
|  | PagedWorldSection * | section )
| inlinevirtual

Called when a camera is used for any kind of rendering.

Remarks
  This is probably the primary way in which the strategy will request new pages.

Parameters

  cam | Camera which is being used for rendering. Class should not rely on this pointer remaining valid permanently because no notification will be given when the camera is destroyed.

Reimplemented in Ogre::Grid2DPageStrategy, and Ogre::Grid3DPageStrategy.

## ◆ notifyCamera() [3/3]

virtual void Ogre::SimplePageContentCollection::notifyCamera | ( | Camera * | cam | ) |
| virtual

Notify a section of the current camera.

Implements Ogre::PageContentCollection.

## ◆ prepare()

bool Ogre::SimplePageContentCollection::prepare | ( | StreamSerialiser & | ser | ) |
| virtual

Prepare data - may be called in the background.

Implements Ogre::PageContentCollection.

## ◆ save() [1/3]

void Ogre::Grid3DPageStrategyData::save | ( | StreamSerialiser & | stream | ) |
| virtual

Save this data to a stream.

Implements Ogre::PageStrategyData.

## ◆ save() [2/3]

virtual void Ogre::PageStrategyData::save | ( | StreamSerialiser & | stream | ) |
| pure virtual

Save this data to a stream.

Implemented in Ogre::Grid2DPageStrategyData, and Ogre::Grid3DPageStrategyData.

## ◆ save() [3/3]

virtual void Ogre::SimplePageContentCollection::save | ( | StreamSerialiser & | stream | ) |
| virtual

Save the collection to a stream.

Implements Ogre::PageContentCollection.

## ◆ setCellRange()

virtual void Ogre::Grid3DPageStrategyData::setCellRange | ( | int32 | minX,
|  | int32 | minY,
|  | int32 | minZ,
|  | int32 | maxX,
|  | int32 | maxY,
|  | int32 | maxZ )
| virtual

Set the index range of all cells (values outside this will be ignored)

## ◆ setCellRangeMaxX()

virtual void Ogre::Grid3DPageStrategyData::setCellRangeMaxX | ( | int32 | maxX | ) |
| virtual

Set the index range of all cells (values outside this will be ignored)

## ◆ setCellRangeMaxY()

virtual void Ogre::Grid3DPageStrategyData::setCellRangeMaxY | ( | int32 | maxY | ) |
| virtual

Set the index range of all cells (values outside this will be ignored)

## ◆ setCellRangeMaxZ()

virtual void Ogre::Grid3DPageStrategyData::setCellRangeMaxZ | ( | int32 | maxZ | ) |
| virtual

get the index range of all cells (values outside this will be ignored)

## ◆ setCellRangeMinX()

virtual void Ogre::Grid3DPageStrategyData::setCellRangeMinX | ( | int32 | minX | ) |
| virtual

Set the index range of all cells (values outside this will be ignored)

## ◆ setCellRangeMinY()

virtual void Ogre::Grid3DPageStrategyData::setCellRangeMinY | ( | int32 | minY | ) |
| virtual

Set the index range of all cells (values outside this will be ignored)

## ◆ setCellRangeMinZ()

virtual void Ogre::Grid3DPageStrategyData::setCellRangeMinZ | ( | int32 | minZ | ) |
| virtual

Set the index range of all cells (values outside this will be ignored)

## ◆ setCellSize()

virtual void Ogre::Grid3DPageStrategyData::setCellSize | ( | const Vector3 & | sz | ) |
| virtual

Set the size of the cells in the grid.

## ◆ setHoldRadius()

virtual void Ogre::Grid3DPageStrategyData::setHoldRadius | ( | Real | sz | ) |
| virtual

Set the Holding radius.

## ◆ setLoadRadius()

virtual void Ogre::Grid3DPageStrategyData::setLoadRadius | ( | Real | sz | ) |
| virtual

Set the loading radius.

## ◆ setOrigin()

virtual void Ogre::Grid3DPageStrategyData::setOrigin | ( | const Vector3 & | worldOrigin | ) |
| virtual

Set the origin of the grid in world space.

## ◆ unload()

void Ogre::SimplePageContentCollection::unload | ( |  | ) |
| virtual

Unload - will be called in main thread.

Implements Ogre::PageContentCollection.

## ◆ unprepare()

void Ogre::SimplePageContentCollection::unprepare | ( |  | ) |
| virtual

Unprepare data - may be called in the background.

Implements Ogre::PageContentCollection.

## ◆ updateDebugDisplay() [1/2]

void Ogre::Grid3DPageStrategy::updateDebugDisplay | ( | Page * | p,
|  | SceneNode * | sn )
| virtual

Update the contents of the passed in SceneNode to reflect the debug display of a given page.

Remarks
  The PageStrategy is to have complete control of the contents of this SceneNode, it must not be altered / added to by others.

Implements Ogre::PageStrategy.

## ◆ updateDebugDisplay() [2/2]

virtual void Ogre::PageStrategy::updateDebugDisplay | ( | Page * | p,
|  | SceneNode * | sn )
| pure virtual

Update the contents of the passed in SceneNode to reflect the debug display of a given page.

Remarks
  The PageStrategy is to have complete control of the contents of this SceneNode, it must not be altered / added to by others.

Implemented in Ogre::Grid2DPageStrategy, and Ogre::Grid3DPageStrategy.

## Variable Documentation

## ◆ CHUNK_ID

const uint32 Ogre::Grid3DPageStrategyData::CHUNK_ID
| static

## ◆ CHUNK_VERSION

const uint16 Ogre::Grid3DPageStrategyData::CHUNK_VERSION
| static

## ◆ FACTORY_NAME

String Ogre::SimplePageContentCollectionFactory::FACTORY_NAME
| static

Referenced by getName().

## ◆ SUBCLASS_CHUNK_ID

const uint32 Ogre::SimplePageContentCollection::SUBCLASS_CHUNK_ID
| static

## ◆ SUBCLASS_CHUNK_VERSION

const uint16 Ogre::SimplePageContentCollection::SUBCLASS_CHUNK_VERSION
| static